import 'package:flutter/material.dart';

class CustomTextStyles {
  static normal({required fontSize ,required fontColor,bool? isUnderLine}) {
    return TextStyle(
      color: fontColor, fontFamily: "Poppins", fontSize: fontSize,decoration: isUnderLine==true ?TextDecoration.underline:TextDecoration.none,);
  }

  static bold({required fontSize ,required fontColor,}) {
    return TextStyle(
        color: fontColor, fontFamily: "Poppins-Bold", fontSize: fontSize);
  }

  static medium({required fontSize ,required fontColor,bool? isUnderLine}) {
    return TextStyle(
      color: fontColor, fontFamily: "Poppins-Medium", fontSize: fontSize,decoration: isUnderLine==true ?TextDecoration.underline:TextDecoration.none,);
  }
  static semiBold({required fontSize ,required fontColor}) {
    return TextStyle(
        color: fontColor, fontFamily: "Poppins-SemiBold", fontSize: fontSize);
  }
}
