import 'dart:io';

class NetworkConnection {
  static Future<bool> isConnectedNetwork() async {
    try {
      final result = await InternetAddress.lookup('google.com');
      if (result.isNotEmpty && result[0].rawAddress.isNotEmpty) {
        print("Internet available");
        return true;
      } else {
        print("Internet not available");
        return false;
      }
    } on SocketException catch (_) {
      print("Something went wrong with connection");
      return false;
    }
  }}