// To parse this JSON data, do
//
//     final profileDetailModel = profileDetailModelFromJson(jsonString);

import 'dart:convert';

ProfileDetailModel profileDetailModelFromJson(String str) =>
    ProfileDetailModel.fromJson(json.decode(str));

String profileDetailModelToJson(ProfileDetailModel data) =>
    json.encode(data.toJson());

class ProfileDetailModel {
  ProfileDetailModel({
    this.name,
    this.profilePicture,
    this.mobileEmail,
    this.userId,
  });

  var name;
  var profilePicture;
  var mobileEmail;
  var userId;

  factory ProfileDetailModel.fromJson(Map<String, dynamic> json) =>
      ProfileDetailModel(
        name: json["name"] == null ? null : json["name"],
        profilePicture:
            json["profilePicture"] == null ? null : json["profilePicture"],
        mobileEmail: json["mobile_email"] == null ? null : json["mobile_email"],
        userId: json["userId"] == null ? null : json["userId"],
      );

  Map<String, dynamic> toJson() => {
        "name": name == null ? null : name,
        "profilePicture": profilePicture == null ? null : profilePicture,
        "mobile_email": mobileEmail == null ? null : mobileEmail,
        "userId": userId == null ? null : userId,
      };
}
